#include<bits/stdc++.h>
#define ll long long
using namespace std;
ll N,K,niz[20005];
int main(){
   cin>>N>>K;
   for(int i=1;i<=N;i++)
      cin>>niz[i];
   niz[N+1]=niz[1];
   for(int i=1;i<=N;i++)
      if(niz[i]==K){
         cout<<niz[i+1]<<endl;
         break;
      }
   return 0;
}